Package com.independentsoft.office.word.drawing

# Enum Class WrapText

java.lang.Object
java.lang.Enum<WrapText>
com.independentsoft.office.word.drawing.WrapText

All Implemented Interfaces:
  `Serializable`, `Comparable<WrapText>`, `Constable`

public enum WrapText extends Enum<WrapText>
The Enum WrapText.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH_SIDES`
  `LARGEST_SIDE_ONLY`
  `LEFT_SIDE_ONLY`
  `RIGHT_SIDE_ONLY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WrapText`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WrapText[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTH_SIDES

    public static final WrapText BOTH_SIDES

  - ### LARGEST_SIDE_ONLY

    public static final WrapText LARGEST_SIDE_ONLY

  - ### LEFT_SIDE_ONLY

    public static final WrapText LEFT_SIDE_ONLY

  - ### RIGHT_SIDE_ONLY

    public static final WrapText RIGHT_SIDE_ONLY

- ## Method Details

  - ### values

    public static WrapText[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WrapText valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null